Bug 616449 - RHEL6: ACPI Error: Field [CDW3] at 96 exceeds Buffer [NULL] size 64 (bits) (20090903/dsopcode-596)
RHEL6: ACPI Error: Field [CDW3] at 96 exceeds Buffer [NULL] size 64 (bits) (2...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: John Feeney
Red Hat Kernel QE team
: RHELNAK
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-20 09:52 EDT by PaulB
Modified: 2018-02-21 07:51 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-20 10:31:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description PaulB 2010-07-20 09:52:11 EDT
Description of problem:
 RHEL6 install getting a ACPI ERRORS while booting.
  ACPI Error: Field [CDW3] at 96 exceeds Buffer [NULL] size 64 (bits)   
  (20090903/dsopcode-596)
  ACPI Error (psparse-0537): Method parse/execution failed [\_SB_._OSC] (Node 
  f705352c), AE_AML_BUFFER_LIMIT
  ACPI Error (psparse-0537): Method parse/execution failed [\_SB_._OSC] (Node 
  f705352c), AE_AML_BUFFER_LIMIT

Version-Release number of selected component (if applicable):
 2.6.32-44.el6.i686

How reproducible:
 Always

Steps to Reproduce:
 1.Install system i386 2.6.32-44.el6.i686 and boot kernel.

Actual results:
  ACPI Error: Field [CDW3] at 96 exceeds Buffer [NULL] size 64 (bits) 
  (20090903/dsopcode-596)
  ACPI Error (psparse-0537): Method parse/execution failed [\_SB_._OSC] (Node 
  f705352c), AE_AML_BUFFER_LIMIT
  ACPI Error (psparse-0537): Method parse/execution failed [\_SB_._OSC] (Node  
  f705352c), AE_AML_BUFFER_LIMIT

Expected results:
 Failure messages should not be displayed during a normal system boot.

Additional info:

 Job#166827
 http://rhts.redhat.com/cgi-bin/rhts/jobs.cgi?id=166827
 i386 - kernel 2.6.32-44.el6.i686
 /distribution/install
 Recipe-428155
    Test - /distribution/install/Sysinfo - PASS
     http://rhts.redhat.com/testlogs/2010/07/166827/428155/3504242/boot.messages
<-SNIP->
ACPI: bus type pci registered
PCI: MCFG configuration 0: base e0000000 segment 0 buses 0 - 255
PCI: MCFG area at e0000000 reserved in E820
PCI: Using MMCONFIG for extended config space
PCI: Using configuration type 1 for base access
bio: create slab <bio-0> at 0
ACPI: EC: Look up EC in DSDT
ACPI Error: Field [CDW3] at 96 exceeds Buffer [NULL] size 64 (bits) (20090903/dsopcode-596)
ACPI Error (psparse-0537): Method parse/execution failed [\_SB_._OSC] (Node f705352c), AE_AML_BUFFER_LIMIT
ACPI: Interpreter enabled
ACPI: (supports S0 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI: No dock devices found.
ACPI: PCI Root Bridge [PCI0] (0000:00)
pci 0000:00:00.0: PME# supported from D0 D3hot D3cold
pci 0000:00:00.0: PME# disabled
<-SNIP->


Best,
-pbunyan
Comment 2 RHEL Product and Program Management 2010-07-20 10:17:52 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 3 Matthew Garrett 2010-07-20 10:31:50 EDT
HP's \\SB._OSC method violates the ACPI spec. \\SB._OSC is documented as taking an 8-byte argument, while the HP firmware is attempting to interpret it as a 12-byte one. HP have ignored the spec for this method and implemented their own as part of the Processor Clocking Control specification. We can't work around this without risking breaking spec-compliant machines. Nothing will actually be broken as a result of this error.

Note You need to log in before you can comment on or make changes to this bug.